
import java.awt.Desktop;
import java.util.Properties;

import javax.swing.SwingUtilities;
import javax.swing.JFrame;

import de.yourwebs.cent.CentGUI;
import de.yourwebs.cent.CentSplash;
import de.yourwebs.cent.Config;
import de.yourwebs.cent.Updater;
import de.yourwebs.cent.dialogs.AboutDialog;
import de.yourwebs.cent.dialogs.options.OptionsDialog;

/**
 * @Cent.java 25.03.2008 Copyright 2008-2011 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 *         This file is a part of Cent Cent is free software; you can
 *         redistribute it and/or modify it under the terms of the GNU General
 *         Public License as published by the Free Software Foundation; either
 *         version 2 of the License, or (at your option) any later version.
 * 
 *         Cent is distributed in the hope that it will be useful, but WITHOUT
 *         ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *         FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *         for more details.
 * 
 *         You should have received a copy of the GNU General Public License
 *         along with Cent; if not, write to the Free Software Foundation, Inc.,
 *         59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

/**
 * Cent dient zur Konvertierung von Sonderzeichen zu Entities. Hierzu
 * k&ouml;nnen Text-Dateien geladen und anschlei&szlig;end mit dem konvertierten
 * Text &uuml;berschrieben oder gesondert abgespeichert werden. Es kann zwischen
 * HTML- und numerischen Unicode-Entities gewechselt werden.|
 */
public class Cent {

    public static void main(String[] args) {
        System.out.println("Starting " + Config.APP_NAME + " "
                + Config.APP_VERSION + ", build: " + Config.BUILD);
        System.out.println("OS: " + System.getProperty("os.name"));
        System.out.println("OS-VERSION: " + System.getProperty("os.version"));
        System.out.println("WORKINGDIR.: " + System.getProperty("user.dir"));

        System.getProperties().put("apple.laf.useScreenMenuBar", "true");
//        new Updater().checkUpdate();
        SwingUtilities.invokeLater(() -> {
            showSplash();
            JFrame frame = CentGUI.getCentGUI();
            if (System.getProperty("os.name").equals("Mac OS X")) {
                Desktop.getDesktop()
                        .setAboutHandler(e -> new AboutDialog(frame));
                Desktop.getDesktop()
                        .setPreferencesHandler(e -> new OptionsDialog());
            }
        });
    }

    private static void showSplash() {
        Thread t = new Thread() {
            Properties properties = Config.getConfig().getProperties();
            boolean splash = Boolean.valueOf(properties.getProperty("SPLASH"))
                    .booleanValue();

            @Override
            public void run() {
                if (splash) {
                    new CentSplash(Config.IMG_VERZ
                            + Config.APP_NAME.toLowerCase() + ".png", null);
                }
            }
        };
        t.start();
    }
}
