/**
 * @CharsetComboBox.java     17.05.2008
 * Copyright 2008-2011 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 * This file is a part of Cent
 * Cent is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * Cent is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along with Cent;
 * if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 */
package de.yourwebs.cent.components;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import java.nio.charset.Charset;
import java.util.Collection;
import java.util.Properties;
import java.util.SortedMap;

import javax.swing.JComboBox;

import de.yourwebs.cent.Config;

/**
 * 
 * 
 */
public class CharsetComboBox extends JComboBox implements ItemListener {

	private static final long serialVersionUID = 1L;
	/**
	 * alle unterst&uuml;tzten Charsets laden
	 */
	private SortedMap<String, Charset> charSets = Charset.availableCharsets();
	private Charset[] cs;
	private Properties properties;
	
	public CharsetComboBox(){
		super();
		properties = Config.getConfig().getProperties();
		Collection<Charset> c = charSets.values();
		cs = (Charset[]) c.toArray(new Charset[0]);
		for (int i = 0; i < cs.length; i++) {
			this.addItem(cs[i].toString());
		}
		String cSet;
		if (properties.getProperty("CHARACTERSET") != null){
			cSet = properties.getProperty("CHARACTERSET");
		}else{
			cSet = Charset.defaultCharset().displayName();
		}
		properties.setProperty("CHARACTERSET", cSet);
		this.setSelectedItem(cSet);
		this.addItemListener(this);
	}

	public void itemStateChanged(ItemEvent e) {
		properties.setProperty("CHARACTERSET",this.getSelectedItem().toString());
	}
}
