/**
 * @VerticalButtonPanel.java     10.09.2008
 * Copyright 2008-2011 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 * stellt ein vertikales ButtonPanel f&uuml;r das Ersetzen-Panel im Optionen-Dialog bereit
 *
 * This file is a part of Cent
 * Cent is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * Cent is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along with Cent;
 * if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 */
package de.yourwebs.cent.dialogs.options;

import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JPanel;

/**
 * stellt ein JPanel mit drei vertikal angeordneten Buttons bereit
 * 
 * 
 */
public class VerticalButtonPanel extends JPanel {

	private static final long serialVersionUID = 1L;

	/**
	 * die JButton
	 */
	private JButton newButt, changeButt, deleteButt;

	/**
	 * Referenz auf das ErsetzenPanel
	 */
	private JPanel parent;

	public VerticalButtonPanel(JPanel parent) {
		this.parent = parent;
		initComponents();
	} // Konstruktor

	private void initComponents() {
		newButt = new JButton("neu");
		newButt.addActionListener((ActionListener) parent);
		changeButt = new JButton("\u00E4ndern");
		changeButt.addActionListener((ActionListener) parent);
		deleteButt = new JButton("l\u00F6schen");
		deleteButt.addActionListener((ActionListener) parent);

		this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		this.add(newButt);
		this.add(changeButt);
		this.add(deleteButt);
		this.add(Box.createVerticalGlue());
	}

	public JButton getNewButt() {
		return newButt;
	}

	public JButton getChangeButt() {
		return changeButt;
	}

	public JButton getDeleteButt() {
		return deleteButt;
	}

	/**
	 * (de)aktiviert alle JButton des Panels
	 * 
	 * @param enable
	 *            boolean
	 */
	public void enableButtons(boolean enable) {
		newButt.setEnabled(enable);
		changeButt.setEnabled(enable);
		deleteButt.setEnabled(enable);
	}
}
